
Redmine - Defect #29032

Files and attachements uploads failing

2018-06-14 12:52 - Jan Mrazek

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.5

Description

I cannot uplod Files to issues and into Files module in project. There is no progress bar appearing, juns maximal file size (see

attached picture].

This appeared after I upgraded redmine from 3.3 to 3.4.5

My curent configuration is

Environment:

Redmine version                3.4.5.stable

Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux-gnu]

Rails version                  4.2.8

Environment                    production

Database adapter               PostgreSQL

SCM:

Git                            2.11.0

Filesystem

Redmine plugins:

a_common_libs                  2.4.0

redmine_add_ldap_user_to_group 0.1.0

redmine_apijs                  5.3.0

redmine_checklists             3.1.11

redmine_contacts               4.1.2

redmine_dmsf                   1.6.2 devel

redmine_impersonate            1.0.0

reminderemails                 0.0.1

under_construction             2.0.6

In Production.log, there is no error

Started POST "/uploads.js?attachment_id=1&filename=4E_Manual_kol.pdf&content_type=application%2Fpdf" for 10.0.3.110 at

2018-06-14 12:07:11 +0200

Processing by AttachmentsController#upload as JS

Parameters: {"attachment_id"=>"1", "filename"=>"4E_Manual_kol.pdf", "content_type"=>"application/pdf"}

Current user: honza (id=3)

Saving attachment '/opt/redmine/current/files/2018/06/180614120711_4E_Manual_kol.pdf' (5028978 bytes)

APIJS::AttachmentPatch#update_date: exiftool -FastScan -IgnoreMinorErrors -DateTimeOriginal -S3

/opt/redmine/current/files/2018/06/180614120711_4E_Manual_$

Rendered attachments/upload.js.erb (0.8ms)

Completed 200 OK in 202ms (Views: 6.5ms | ActiveRecord: 36.8ms)

In Issues module > The file is stored as expected but no link is visible.

In Files module > Module says "File is invalid", but it is stored as expected (redmine/files/2018/06/...), no link visible

Do you have any hint, what to check?

Many thanks for any clue.

History

#1 - 2018-06-14 17:10 - Marius BĂLTEANU

2025-06-22 1/2



- Status changed from New to Needs feedback

- Priority changed from High to Normal

Please try without any plugins because from your logs, the issue seems to be generated by redmine_apijs plugin.

This is the Redmine issue tracker for reporting bugs or feature requests about the Redmine core software.

#2 - 2018-06-14 21:59 - Jan Mrazek

Yes, problem was APIJS plugin. I forgot to check cpompatibility with redmine 3.4.x after upgrade. Sorry for bothering you and thanks for hint!

#3 - 2018-06-14 22:57 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thanks for your feedback.
